# Class TGetInfoReq

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TGetInfoReq

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TGetInfoReq>`, `org.apache.thrift.TBase<TGetInfoReq,TGetInfoReq._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TGetInfoReq extends Object implements org.apache.thrift.TBase<TGetInfoReq,TGetInfoReq._Fields>, Serializable, Cloneable, Comparable<TGetInfoReq>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TGetInfoReq._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`TGetInfoType`
`infoType`
`static final Map<TGetInfoReq._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`TSessionHandle`
`sessionHandle`

## Constructor Summary

Constructors
Constructor
Description
`TGetInfoReq()`
`TGetInfoReq(TGetInfoReq other)`
Performs a deep copy on other.
`TGetInfoReq(TSessionHandle sessionHandle, TGetInfoType infoType)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`int`
`compareTo(TGetInfoReq other)`
`TGetInfoReq`
`deepCopy()`
`boolean`
`equals(TGetInfoReq that)`
`boolean`
`equals(Object that)`
`TGetInfoReq._Fields`
`fieldForId(int fieldId)`
`Object`
`getFieldValue(TGetInfoReq._Fields field)`
`TGetInfoType`
`getInfoType()`
`TSessionHandle`
`getSessionHandle()`
`int`
`hashCode()`
`boolean`
`isSet(TGetInfoReq._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetInfoType()`
Returns true if field infoType is set (has been assigned a value) and false otherwise
`boolean`
`isSetSessionHandle()`
Returns true if field sessionHandle is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`void`
`setFieldValue(TGetInfoReq._Fields field, Object value)`
`TGetInfoReq`
`setInfoType(TGetInfoType infoType)`
`void`
`setInfoTypeIsSet(boolean value)`
`TGetInfoReq`
`setSessionHandle(TSessionHandle sessionHandle)`
`void`
`setSessionHandleIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetInfoType()`
`void`
`unsetSessionHandle()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sessionHandle

public TSessionHandle sessionHandle

### infoType

public TGetInfoType infoType

See Also:
  - `TGetInfoType`

### metaDataMap

public static final Map<TGetInfoReq._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TGetInfoReq

public TGetInfoReq()

### TGetInfoReq

public TGetInfoReq(TSessionHandle sessionHandle, TGetInfoType infoType)

### TGetInfoReq

public TGetInfoReq(TGetInfoReq other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TGetInfoReq deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TGetInfoReq,TGetInfoReq._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TGetInfoReq,TGetInfoReq._Fields>`

### getSessionHandle

public TSessionHandle getSessionHandle()

### setSessionHandle

public TGetInfoReq setSessionHandle(TSessionHandle sessionHandle)

### unsetSessionHandle

public void unsetSessionHandle()

### isSetSessionHandle

public boolean isSetSessionHandle()
Returns true if field sessionHandle is set (has been assigned a value) and false otherwise

### setSessionHandleIsSet

public void setSessionHandleIsSet(boolean value)

### getInfoType

public TGetInfoType getInfoType()

See Also:
  - `TGetInfoType`

### setInfoType

public TGetInfoReq setInfoType(TGetInfoType infoType)

See Also:
  - `TGetInfoType`

### unsetInfoType

public void unsetInfoType()

### isSetInfoType

public boolean isSetInfoType()
Returns true if field infoType is set (has been assigned a value) and false otherwise

### setInfoTypeIsSet

public void setInfoTypeIsSet(boolean value)

### setFieldValue

public void setFieldValue(TGetInfoReq._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TGetInfoReq,TGetInfoReq._Fields>`

### getFieldValue

public Object getFieldValue(TGetInfoReq._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TGetInfoReq,TGetInfoReq._Fields>`

### isSet

public boolean isSet(TGetInfoReq._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TGetInfoReq,TGetInfoReq._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TGetInfoReq that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TGetInfoReq other)

Specified by:
  `compareTo` in interface `Comparable<TGetInfoReq>`

### fieldForId

public TGetInfoReq._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TGetInfoReq,TGetInfoReq._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`